| Home | Libraries | People | FAQ | More

##### boost::geometry::index::dynamic_quadratic

Quadratic r-tree creation algorithm parameters - run-time version.

###### Header

`#include <boost/geometry/index/parameters.hpp>`

###### Synopsis

    class dynamic_quadratic
    {
      // ...
    };

###### Constructor(s) and destructor

Function | Description
--- | ---
`dynamic_quadratic(size_t)` | The constructor.

###### dynamic_quadratic(size_t)

The constructor.

###### Synopsis

    dynamic_quadratic(size_t max_elements, size_t min_elements = default)

###### Modifier(s)

    explicit

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`size_t` | `max_elements` | Maximum number of elements in nodes.
`size_t` | `min_elements` | Minimum number of elements in nodes. Default: 0.3*Max.